/******************************************************************************/
/*                                                                            */
/*  DLG_ABT - Dialog callback for HELP / ABOUT                                */
/*                                                                            */
/******************************************************************************/

#define STRICT
#include <windows.h>
#include <commctrl.h>
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <ctype.h>
#include "const.h"
#include "classes.h"
#include "funcdefs.h"
#include "lin.rh"
#include "extern.h"


extern "C"
INT_PTR CALLBACK DialogAbout ( HWND hdwnd , UINT message ,
                            WPARAM wParam , LPARAM /* lParam */ )
{
   int id ;
   switch ( message ) {
      
      case WM_INITDIALOG:
         return TRUE ;    // Lets Windows set initial control focus
         
      case WM_COMMAND:
         id = LOWORD ( wParam ) ;
         switch ( id ) {
            case IDOK:
               EndDialog ( hdwnd , TRUE ) ;
               return TRUE ;  // Tell Windows we processed this message
            case IDCANCEL:
               EndDialog ( hdwnd , FALSE ) ;
               return TRUE ;
            }
      }
      
   return FALSE ;  // Tell Windows we did not process this message
}
